是否有任何存储库可以在Ubuntu 12.04上安装PHP 5.2.x?

Modified on: Sat, 09 Jun 2018 16:39:53 +0800

我想知道是否有任何存储库可以添加到Ubuntu Server 12.04上安装php5.2.9 +。

最佳答案

PHP 5.2在2010年12月被送到了生命周期结束,所以虽然你很可能在互联网的黑暗小巷中找到PPA或.deb文件,但你很可能不得不编译它如果你想让它在Ubuntu 12.04上运行,请从源代码。此外,您可能会遇到依赖项问题(特别是如果有任何更改了API),请记住这一点。

也就是说,你可以在他们的GitHub上找到PHP 5.2系列的最新资源(我找到了你的5.2.17标签),并使用make进行编译。 PHP站点还提供有关编译PHP的信息。所需的版本将有所不同,但它通常是“此版本或更高版本”,除非您遇到主要版本差异(例如1.0到2.0)。

作为旁注,可能值得向维护外部应用程序的人施加压力,以升级到至少5.3系列,或者更好的是5.4系列。从那时起,已经有大量的错误修复和安全补丁。此外,大多数工具不再支持5.2(这意味着你不会在没有战斗的情况下得到像Xdebug或PHPUnit这样的东西,这使得维护应用程序的大小和合理的重要性几乎不可能(我一直在那里))。由于5.2和5.3之间的变化,升级可能不会立即完成,但它会产生客户需求并帮助打破很多公司的妄想“好吧,我们的用户群不想要这个,所以我们不打算提供它“(即使他们不要求它的原因是因为它没有出现在产品中并且他们找到了解决方法,因此如果产品提供它,客户会使用它,请务必留意这一事实)

作者:,Shauna

相关问答

添加新评论